Skip to main content
GET
/
marketing
/
v3
/
emails
/
statistics
/
list
Get aggregated statistics
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/emails/statistics/list \
  --header 'Authorization: Bearer <token>'
{
  "aggregate": {
    "counters": {},
    "deviceBreakdown": {},
    "qualifierStats": {},
    "ratios": {}
  },
  "campaignAggregations": {},
  "emails": [
    123
  ]
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

emailIds
integer<int64>[]

Filter by email IDs. Only include statistics of emails with these IDs.

endTimestamp
string<date-time>

The end timestamp of the time span, in ISO8601 representation.

property
string

Specifies which email properties should be returned. All properties will be returned by default.

startTimestamp
string<date-time>

The start timestamp of the time span, in ISO8601 representation.

Response

successful operation

Aggregated statistics for the given interval, plus the IDs of emails that were sent during that interval.

aggregate
object
campaignAggregations
object

The aggregated statistics per campaign.

emails
integer<int64>[]

List of email IDs that were sent during the time span.

Last modified on March 30, 2026